namespace PKHeX.Core;

/// <summary>
/// Ability IDs for the corresponding English ability name.
/// </summary>
public enum Ability
{
    None,
    Stench,
    Drizzle,
    SpeedBoost,
    BattleArmor,
    Sturdy,
    Damp,
    Limber,
    SandVeil,
    Static,
    VoltAbsorb,
    WaterAbsorb,
    Oblivious,
    CloudNine,
    CompoundEyes,
    Insomnia,
    ColorChange,
    Immunity,
    FlashFire,
    ShieldDust,
    OwnTempo,
    SuctionCups,
    Intimidate,
    ShadowTag,
    RoughSkin,
    WonderGuard,
    Levitate,
    EffectSpore,
    Synchronize,
    ClearBody,
    NaturalCure,
    LightningRod,
    SereneGrace,
    SwiftSwim,
    Chlorophyll,
    Illuminate,
    Trace,
    HugePower,
    PoisonPoint,
    InnerFocus,
    MagmaArmor,
    WaterVeil,
    MagnetPull,
    Soundproof,
    RainDish,
    SandStream,
    Pressure,
    ThickFat,
    EarlyBird,
    FlameBody,
    RunAway,
    KeenEye,
    HyperCutter,
    Pickup,
    Truant,
    Hustle,
    CuteCharm,
    Plus,
    Minus,
    Forecast,
    StickyHold,
    ShedSkin,
    Guts,
    MarvelScale,
    LiquidOoze,
    Overgrow,
    Blaze,
    Torrent,
    Swarm,
    RockHead,
    Drought,
    ArenaTrap,
    VitalSpirit,
    WhiteSmoke,
    PurePower,
    ShellArmor,
    AirLock,
    TangledFeet,
    MotorDrive,
    Rivalry,
    Steadfast,
    SnowCloak,
    Gluttony,
    AngerPoint,
    Unburden,
    Heatproof,
    Simple,
    DrySkin,
    Download,
    IronFist,
    PoisonHeal,
    Adaptability,
    SkillLink,
    Hydration,
    SolarPower,
    QuickFeet,
    Normalize,
    Sniper,
    MagicGuard,
    NoGuard,
    Stall,
    Technician,
    LeafGuard,
    Klutz,
    MoldBreaker,
    SuperLuck,
    Aftermath,
    Anticipation,
    Forewarn,
    Unaware,
    TintedLens,
    Filter,
    SlowStart,
    Scrappy,
    StormDrain,
    IceBody,
    SolidRock,
    SnowWarning,
    HoneyGather,
    Frisk,
    Reckless,
    Multitype,
    FlowerGift,
    BadDreams,
    Pickpocket,
    SheerForce,
    Contrary,
    Unnerve,
    Defiant,
    Defeatist,
    CursedBody,
    Healer,
    FriendGuard,
    WeakArmor,
    HeavyMetal,
    LightMetal,
    Multiscale,
    ToxicBoost,
    FlareBoost,
    Harvest,
    Telepathy,
    Moody,
    Overcoat,
    PoisonTouch,
    Regenerator,
    BigPecks,
    SandRush,
    WonderSkin,
    Analytic,
    Illusion,
    Imposter,
    Infiltrator,
    Mummy,
    Moxie,
    Justified,
    Rattled,
    MagicBounce,
    SapSipper,
    Prankster,
    SandForce,
    IronBarbs,
    ZenMode,
    VictoryStar,
    Turboblaze,
    Teravolt,
    AromaVeil,
    FlowerVeil,
    CheekPouch,
    Protean,
    FurCoat,
    Magician,
    Bulletproof,
    Competitive,
    StrongJaw,
    Refrigerate,
    SweetVeil,
    StanceChange,
    GaleWings,
    MegaLauncher,
    GrassPelt,
    Symbiosis,
    ToughClaws,
    Pixilate,
    Gooey,
    Aerilate,
    ParentalBond,
    DarkAura,
    FairyAura,
    AuraBreak,
    PrimordialSea,
    DesolateLand,
    DeltaStream,
    Stamina,
    WimpOut,
    EmergencyExit,
    WaterCompaction,
    Merciless,
    ShieldsDown,
    Stakeout,
    WaterBubble,
    Steelworker,
    Berserk,
    SlushRush,
    LongReach,
    LiquidVoice,
    Triage,
    Galvanize,
    SurgeSurfer,
    Schooling,
    Disguise,
    BattleBond,
    PowerConstruct,
    Corrosion,
    Comatose,
    QueenlyMajesty,
    InnardsOut,
    Dancer,
    Battery,
    Fluffy,
    Dazzling,
    SoulHeart,
    TanglingHair,
    Receiver,
    PowerofAlchemy,
    BeastBoost,
    RKSSystem,
    ElectricSurge,
    PsychicSurge,
    MistySurge,
    GrassySurge,
    FullMetalBody,
    ShadowShield,
    PrismArmor,
    Neuroforce,
    IntrepidSword,
    DauntlessShield,
    Libero,
    BallFetch,
    CottonDown,
    PropellerTail,
    MirrorArmor,
    GulpMissile,
    Stalwart,
    SteamEngine,
    PunkRock,
    SandSpit,
    IceScales,
    Ripen,
    IceFace,
    PowerSpot,
    Mimicry,
    ScreenCleaner,
    SteelySpirit,
    PerishBody,
    WanderingSpirit,
    GorillaTactics,
    NeutralizingGas,
    PastelVeil,
    HungerSwitch,
    QuickDraw,
    UnseenFist,
    CuriousMedicine,
    Transistor,
    DragonsMaw,
    ChillingNeigh,
    GrimNeigh,
    AsOneI,
    AsOneG,
    LingeringAroma,
    SeedSower,
    ThermalExchange,
    AngerShell,
    PurifyingSalt,
    WellBakedBody,
    WindRider,
    GuardDog,
    RockyPayload,
    WindPower,
    ZerotoHero,
    Commander,
    Electromorphosis,
    Protosynthesis,
    QuarkDrive,
    GoodasGold,
    VesselofRuin,
    SwordofRuin,
    TabletsofRuin,
    BeadsofRuin,
    OrichalcumPulse,
    HadronEngine,
    Opportunist,
    CudChew,
    Sharpness,
    SupremeOverlord,
    Costar,
    ToxicDebris,
    ArmorTail,
    EarthEater,
    MyceliumMight,
    MAX_COUNT,
}
