namespace PKHeX.Core;

/// <summary>
/// Move IDs for the corresponding English move name.
/// </summary>
public enum Move
{
    None,
    Pound,
    KarateChop,
    DoubleSlap,
    CometPunch,
    MegaPunch,
    PayDay,
    FirePunch,
    IcePunch,
    ThunderPunch,
    Scratch,
    ViseGrip,
    Guillotine,
    RazorWind,
    SwordsDance,
    Cut,
    Gust,
    WingAttack,
    Whirlwind,
    Fly,
    Bind,
    Slam,
    VineWhip,
    Stomp,
    DoubleKick,
    MegaKick,
    JumpKick,
    RollingKick,
    SandAttack,
    Headbutt,
    HornAttack,
    FuryAttack,
    HornDrill,
    Tackle,
    BodySlam,
    Wrap,
    TakeDown,
    Thrash,
    DoubleEdge,
    TailWhip,
    PoisonSting,
    Twineedle,
    PinMissile,
    Leer,
    Bite,
    Growl,
    Roar,
    Sing,
    Supersonic,
    SonicBoom,
    Disable,
    Acid,
    Ember,
    Flamethrower,
    Mist,
    WaterGun,
    HydroPump,
    Surf,
    IceBeam,
    Blizzard,
    Psybeam,
    BubbleBeam,
    AuroraBeam,
    HyperBeam,
    Peck,
    DrillPeck,
    Submission,
    LowKick,
    Counter,
    SeismicToss,
    Strength,
    Absorb,
    MegaDrain,
    LeechSeed,
    Growth,
    RazorLeaf,
    SolarBeam,
    PoisonPowder,
    StunSpore,
    SleepPowder,
    PetalDance,
    StringShot,
    DragonRage,
    FireSpin,
    ThunderShock,
    Thunderbolt,
    ThunderWave,
    Thunder,
    RockThrow,
    Earthquake,
    Fissure,
    Dig,
    Toxic,
    Confusion,
    Psychic,
    Hypnosis,
    Meditate,
    Agility,
    QuickAttack,
    Rage,
    Teleport,
    NightShade,
    Mimic,
    Screech,
    DoubleTeam,
    Recover,
    Harden,
    Minimize,
    Smokescreen,
    ConfuseRay,
    Withdraw,
    DefenseCurl,
    Barrier,
    LightScreen,
    Haze,
    Reflect,
    FocusEnergy,
    Bide,
    Metronome,
    MirrorMove,
    SelfDestruct,
    EggBomb,
    Lick,
    Smog,
    Sludge,
    BoneClub,
    FireBlast,
    Waterfall,
    Clamp,
    Swift,
    SkullBash,
    SpikeCannon,
    Constrict,
    Amnesia,
    Kinesis,
    SoftBoiled,
    HighJumpKick,
    Glare,
    DreamEater,
    PoisonGas,
    Barrage,
    LeechLife,
    LovelyKiss,
    SkyAttack,
    Transform,
    Bubble,
    DizzyPunch,
    Spore,
    Flash,
    Psywave,
    Splash,
    AcidArmor,
    Crabhammer,
    Explosion,
    FurySwipes,
    Bonemerang,
    Rest,
    RockSlide,
    HyperFang,
    Sharpen,
    Conversion,
    TriAttack,
    SuperFang,
    Slash,
    Substitute,
    Struggle,
    Sketch,
    TripleKick,
    Thief,
    SpiderWeb,
    MindReader,
    Nightmare,
    FlameWheel,
    Snore,
    Curse,
    Flail,
    Conversion2,
    Aeroblast,
    CottonSpore,
    Reversal,
    Spite,
    PowderSnow,
    Protect,
    MachPunch,
    ScaryFace,
    FeintAttack,
    SweetKiss,
    BellyDrum,
    SludgeBomb,
    MudSlap,
    Octazooka,
    Spikes,
    ZapCannon,
    Foresight,
    DestinyBond,
    PerishSong,
    IcyWind,
    Detect,
    BoneRush,
    LockOn,
    Outrage,
    Sandstorm,
    GigaDrain,
    Endure,
    Charm,
    Rollout,
    FalseSwipe,
    Swagger,
    MilkDrink,
    Spark,
    FuryCutter,
    SteelWing,
    MeanLook,
    Attract,
    SleepTalk,
    HealBell,
    Return,
    Present,
    Frustration,
    Safeguard,
    PainSplit,
    SacredFire,
    Magnitude,
    DynamicPunch,
    Megahorn,
    DragonBreath,
    BatonPass,
    Encore,
    Pursuit,
    RapidSpin,
    SweetScent,
    IronTail,
    MetalClaw,
    VitalThrow,
    MorningSun,
    Synthesis,
    Moonlight,
    HiddenPower,
    CrossChop,
    Twister,
    RainDance,
    SunnyDay,
    Crunch,
    MirrorCoat,
    PsychUp,
    ExtremeSpeed,
    AncientPower,
    ShadowBall,
    FutureSight,
    RockSmash,
    Whirlpool,
    BeatUp,
    FakeOut,
    Uproar,
    Stockpile,
    SpitUp,
    Swallow,
    HeatWave,
    Hail,
    Torment,
    Flatter,
    WillOWisp,
    Memento,
    Facade,
    FocusPunch,
    SmellingSalts,
    FollowMe,
    NaturePower,
    Charge,
    Taunt,
    HelpingHand,
    Trick,
    RolePlay,
    Wish,
    Assist,
    Ingrain,
    Superpower,
    MagicCoat,
    Recycle,
    Revenge,
    BrickBreak,
    Yawn,
    KnockOff,
    Endeavor,
    Eruption,
    SkillSwap,
    Imprison,
    Refresh,
    Grudge,
    Snatch,
    SecretPower,
    Dive,
    ArmThrust,
    Camouflage,
    TailGlow,
    LusterPurge,
    MistBall,
    FeatherDance,
    TeeterDance,
    BlazeKick,
    MudSport,
    IceBall,
    NeedleArm,
    SlackOff,
    HyperVoice,
    PoisonFang,
    CrushClaw,
    BlastBurn,
    HydroCannon,
    MeteorMash,
    Astonish,
    WeatherBall,
    Aromatherapy,
    FakeTears,
    AirCutter,
    Overheat,
    OdorSleuth,
    RockTomb,
    SilverWind,
    MetalSound,
    GrassWhistle,
    Tickle,
    CosmicPower,
    WaterSpout,
    SignalBeam,
    ShadowPunch,
    Extrasensory,
    SkyUppercut,
    SandTomb,
    SheerCold,
    MuddyWater,
    BulletSeed,
    AerialAce,
    IcicleSpear,
    IronDefense,
    Block,
    Howl,
    DragonClaw,
    FrenzyPlant,
    BulkUp,
    Bounce,
    MudShot,
    PoisonTail,
    Covet,
    VoltTackle,
    MagicalLeaf,
    WaterSport,
    CalmMind,
    LeafBlade,
    DragonDance,
    RockBlast,
    ShockWave,
    WaterPulse,
    DoomDesire,
    PsychoBoost,
    Roost,
    Gravity,
    MiracleEye,
    WakeUpSlap,
    HammerArm,
    GyroBall,
    HealingWish,
    Brine,
    NaturalGift,
    Feint,
    Pluck,
    Tailwind,
    Acupressure,
    MetalBurst,
    Uturn,
    CloseCombat,
    Payback,
    Assurance,
    Embargo,
    Fling,
    PsychoShift,
    TrumpCard,
    HealBlock,
    WringOut,
    PowerTrick,
    GastroAcid,
    LuckyChant,
    MeFirst,
    Copycat,
    PowerSwap,
    GuardSwap,
    Punishment,
    LastResort,
    WorrySeed,
    SuckerPunch,
    ToxicSpikes,
    HeartSwap,
    AquaRing,
    MagnetRise,
    FlareBlitz,
    ForcePalm,
    AuraSphere,
    RockPolish,
    PoisonJab,
    DarkPulse,
    NightSlash,
    AquaTail,
    SeedBomb,
    AirSlash,
    XScissor,
    BugBuzz,
    DragonPulse,
    DragonRush,
    PowerGem,
    DrainPunch,
    VacuumWave,
    FocusBlast,
    EnergyBall,
    BraveBird,
    EarthPower,
    Switcheroo,
    GigaImpact,
    NastyPlot,
    BulletPunch,
    Avalanche,
    IceShard,
    ShadowClaw,
    ThunderFang,
    IceFang,
    FireFang,
    ShadowSneak,
    MudBomb,
    PsychoCut,
    ZenHeadbutt,
    MirrorShot,
    FlashCannon,
    RockClimb,
    Defog,
    TrickRoom,
    DracoMeteor,
    Discharge,
    LavaPlume,
    LeafStorm,
    PowerWhip,
    RockWrecker,
    CrossPoison,
    GunkShot,
    IronHead,
    MagnetBomb,
    StoneEdge,
    Captivate,
    StealthRock,
    GrassKnot,
    Chatter,
    Judgment,
    BugBite,
    ChargeBeam,
    WoodHammer,
    AquaJet,
    AttackOrder,
    DefendOrder,
    HealOrder,
    HeadSmash,
    DoubleHit,
    RoarofTime,
    SpacialRend,
    LunarDance,
    CrushGrip,
    MagmaStorm,
    DarkVoid,
    SeedFlare,
    OminousWind,
    ShadowForce,
    HoneClaws,
    WideGuard,
    GuardSplit,
    PowerSplit,
    WonderRoom,
    Psyshock,
    Venoshock,
    Autotomize,
    RagePowder,
    Telekinesis,
    MagicRoom,
    SmackDown,
    StormThrow,
    FlameBurst,
    SludgeWave,
    QuiverDance,
    HeavySlam,
    Synchronoise,
    ElectroBall,
    Soak,
    FlameCharge,
    Coil,
    LowSweep,
    AcidSpray,
    FoulPlay,
    SimpleBeam,
    Entrainment,
    AfterYou,
    Round,
    EchoedVoice,
    ChipAway,
    ClearSmog,
    StoredPower,
    QuickGuard,
    AllySwitch,
    Scald,
    ShellSmash,
    HealPulse,
    Hex,
    SkyDrop,
    ShiftGear,
    CircleThrow,
    Incinerate,
    Quash,
    Acrobatics,
    ReflectType,
    Retaliate,
    FinalGambit,
    Bestow,
    Inferno,
    WaterPledge,
    FirePledge,
    GrassPledge,
    VoltSwitch,
    StruggleBug,
    Bulldoze,
    FrostBreath,
    DragonTail,
    WorkUp,
    Electroweb,
    WildCharge,
    DrillRun,
    DualChop,
    HeartStamp,
    HornLeech,
    SacredSword,
    RazorShell,
    HeatCrash,
    LeafTornado,
    Steamroller,
    CottonGuard,
    NightDaze,
    Psystrike,
    TailSlap,
    Hurricane,
    HeadCharge,
    GearGrind,
    SearingShot,
    TechnoBlast,
    RelicSong,
    SecretSword,
    Glaciate,
    BoltStrike,
    BlueFlare,
    FieryDance,
    FreezeShock,
    IceBurn,
    Snarl,
    IcicleCrash,
    Vcreate,
    FusionFlare,
    FusionBolt,
    FlyingPress,
    MatBlock,
    Belch,
    Rototiller,
    StickyWeb,
    FellStinger,
    PhantomForce,
    TrickorTreat,
    NobleRoar,
    IonDeluge,
    ParabolicCharge,
    ForestsCurse,
    PetalBlizzard,
    FreezeDry,
    DisarmingVoice,
    PartingShot,
    TopsyTurvy,
    DrainingKiss,
    CraftyShield,
    FlowerShield,
    GrassyTerrain,
    MistyTerrain,
    Electrify,
    PlayRough,
    FairyWind,
    Moonblast,
    Boomburst,
    FairyLock,
    KingsShield,
    PlayNice,
    Confide,
    DiamondStorm,
    SteamEruption,
    HyperspaceHole,
    WaterShuriken,
    MysticalFire,
    SpikyShield,
    AromaticMist,
    EerieImpulse,
    VenomDrench,
    Powder,
    Geomancy,
    MagneticFlux,
    HappyHour,
    ElectricTerrain,
    DazzlingGleam,
    Celebrate,
    HoldHands,
    BabyDollEyes,
    Nuzzle,
    HoldBack,
    Infestation,
    PowerUpPunch,
    OblivionWing,
    ThousandArrows,
    ThousandWaves,
    LandsWrath,
    LightofRuin,
    OriginPulse,
    PrecipiceBlades,
    DragonAscent,
    HyperspaceFury,
    BreakneckBlitzP,
    BreakneckBlitzS,
    AllOutPummelingP,
    AllOutPummelingS,
    SupersonicSkystrikeP,
    SupersonicSkystrikeS,
    AcidDownpourP,
    AcidDownpourS,
    TectonicRageP,
    TectonicRageS,
    ContinentalCrushP,
    ContinentalCrushS,
    SavageSpinOutP,
    SavageSpinOutS,
    NeverEndingNightmareP,
    NeverEndingNightmareS,
    CorkscrewCrashP,
    CorkscrewCrashS,
    InfernoOverdriveP,
    InfernoOverdriveS,
    HydroVortexP,
    HydroVortexS,
    BloomDoomP,
    BloomDoomS,
    GigavoltHavocP,
    GigavoltHavocS,
    ShatteredPsycheP,
    ShatteredPsycheS,
    SubzeroSlammerP,
    SubzeroSlammerS,
    DevastatingDrakeP,
    DevastatingDrakeS,
    BlackHoleEclipseP,
    BlackHoleEclipseS,
    TwinkleTackleP,
    TwinkleTackleS,
    Catastropika,
    ShoreUp,
    FirstImpression,
    BanefulBunker,
    SpiritShackle,
    DarkestLariat,
    SparklingAria,
    IceHammer,
    FloralHealing,
    HighHorsepower,
    StrengthSap,
    SolarBlade,
    Leafage,
    Spotlight,
    ToxicThread,
    LaserFocus,
    GearUp,
    ThroatChop,
    PollenPuff,
    AnchorShot,
    PsychicTerrain,
    Lunge,
    FireLash,
    PowerTrip,
    BurnUp,
    SpeedSwap,
    SmartStrike,
    Purify,
    RevelationDance,
    CoreEnforcer,
    TropKick,
    Instruct,
    BeakBlast,
    ClangingScales,
    DragonHammer,
    BrutalSwing,
    AuroraVeil,
    SinisterArrowRaid,
    MaliciousMoonsault,
    OceanicOperetta,
    GuardianofAlola,
    SoulStealing7StarStrike,
    StokedSparksurfer,
    PulverizingPancake,
    ExtremeEvoboost,
    GenesisSupernova,
    ShellTrap,
    FleurCannon,
    PsychicFangs,
    StompingTantrum,
    ShadowBone,
    Accelerock,
    Liquidation,
    PrismaticLaser,
    SpectralThief,
    SunsteelStrike,
    MoongeistBeam,
    TearfulLook,
    ZingZap,
    NaturesMadness,
    MultiAttack,
    TenMVoltThunderbolt,
    MindBlown,
    PlasmaFists,
    PhotonGeyser,
    LightThatBurnstheSky,
    SearingSunrazeSmash,
    MenacingMoonrazeMaelstrom,
    LetsSnuggleForever,
    SplinteredStormshards,
    ClangorousSoulblaze,
    ZippyZap,
    SplishySplash,
    FloatyFall,
    PikaPapow,
    BouncyBubble,
    BuzzyBuzz,
    SizzlySlide,
    GlitzyGlow,
    BaddyBad,
    SappySeed,
    FreezyFrost,
    SparklySwirl,
    VeeveeVolley,
    DoubleIronBash,
    MaxGuard,
    DynamaxCannon,
    SnipeShot,
    JawLock,
    StuffCheeks,
    NoRetreat,
    TarShot,
    MagicPowder,
    DragonDarts,
    Teatime,
    Octolock,
    BoltBeak,
    FishiousRend,
    CourtChange,
    MaxFlare,
    MaxFlutterby,
    MaxLightning,
    MaxStrike,
    MaxKnuckle,
    MaxPhantasm,
    MaxHailstorm,
    MaxOoze,
    MaxGeyser,
    MaxAirstream,
    MaxStarfall,
    MaxWyrmwind,
    MaxMindstorm,
    MaxRockfall,
    MaxQuake,
    MaxDarkness,
    MaxOvergrowth,
    MaxSteelspike,
    ClangorousSoul,
    BodyPress,
    Decorate,
    DrumBeating,
    SnapTrap,
    PyroBall,
    BehemothBlade,
    BehemothBash,
    AuraWheel,
    BreakingSwipe,
    BranchPoke,
    Overdrive,
    AppleAcid,
    GravApple,
    SpiritBreak,
    StrangeSteam,
    LifeDew,
    Obstruct,
    FalseSurrender,
    MeteorAssault,
    Eternabeam,
    SteelBeam,
    ExpandingForce,
    SteelRoller,
    ScaleShot,
    MeteorBeam,
    ShellSideArm,
    MistyExplosion,
    GrassyGlide,
    RisingVoltage,
    TerrainPulse,
    SkitterSmack,
    BurningJealousy,
    LashOut,
    Poltergeist,
    CorrosiveGas,
    Coaching,
    FlipTurn,
    TripleAxel,
    DualWingbeat,
    ScorchingSands,
    JungleHealing,
    WickedBlow,
    SurgingStrikes,
    ThunderCage,
    DragonEnergy,
    FreezingGlare,
    FieryWrath,
    ThunderousKick,
    GlacialLance,
    AstralBarrage,
    EerieSpell,
    DireClaw,
    PsyshieldBash,
    PowerShift,
    StoneAxe,
    SpringtideStorm,
    MysticalPower,
    RagingFury,
    WaveCrash,
    Chloroblast,
    MountainGale,
    VictoryDance,
    HeadlongRush,
    BarbBarrage,
    EsperWing,
    BitterMalice,
    Shelter,
    TripleArrows,
    InfernalParade,
    CeaselessEdge,
    BleakwindStorm,
    WildboltStorm,
    SandsearStorm,
    LunarBlessing,
    TakeHeart,
    TeraBlast,
    SilkTrap,
    AxeKick,
    LastRespects,
    LuminaCrash,
    OrderUp,
    JetPunch,
    SpicyExtract,
    SpinOut,
    PopulationBomb,
    IceSpinner,
    GlaiveRush,
    RevivalBlessing,
    SaltCure,
    TripleDive,
    MortalSpin,
    Doodle,
    FilletAway,
    KowtowCleave,
    FlowerTrick,
    TorchSong,
    AquaStep,
    RagingBull,
    MakeItRain,
    Psyblade,
    HydroSteam,
    Ruination,
    CollisionCourse,
    ElectroDrift,
    ShedTail,
    ChillyReception,
    TidyUp,
    Snowscape,
    Pounce,
    Trailblaze,
    ChillingWater,
    HyperDrill,
    TwinBeam,
    RageFist,
    ArmorCannon,
    BitterBlade,
    DoubleShock,
    GigatonHammer,
    Comeuppance,
    AquaCutter,
    BlazingTorque,
    WickedTorque,
    NoxiousTorque,
    CombatTorque,
    MagicalTorque,
    MAX_COUNT,
}
