namespace PKHeX.Core;

/// <summary>
/// Different Key Types used for <see cref="MemeCrypto"/>
/// </summary>
public enum MemeKeyIndex
{
    LocalWireless = -1,
    FriendlyCompetition = 0,
    LiveCompetition = 1,
    RentalTeam = 2,
    PokedexAndSaveFile = 3,
    GaOle = 4,
    MagearnaEvent = 5,
    MoncolleGet = 6,
    IslandScanEventSpecial = 7,
    TvTokyoDataBroadcasting = 8,
    CapPikachuEvent = 9,
    Unknown10 = 10,
    Unknown11 = 11,
    Unknown12 = 12,
    Unknown13 = 13,
}

public static class MemeKeyIndexExtensions
{
    public static bool CanSign(this MemeKeyIndex key) => key is MemeKeyIndex.PokedexAndSaveFile;
}
